"""
@file
@brief    
@details  Copyright (c) 2001-2014 Acronis
@author   Georgy Kirichenko (georgy.kirichenko@acronis.com)
@since    $$Id: __init__.py 944857 2014-08-15 13:08:46Z georgy.kirichenko $$
"""

from .translations import get_translations
from .template import get_loader as get_template_loader


def get_loader_for_application(*args, **kwargs):
    import os
    _root = appconfig['templates']['path']
    _search_path = [os.path.join(_root, x) for x in args]
    _search_path.append(_root)
    _translations = get_translations(appconfig['locales']['path'], appconfig['locales']['domain'])
    return get_template_loader(_search_path, _translations, globals=kwargs)
