# -*- coding: utf-8 -*-

"""
certifi.py
~~~~~~~~~~

This module returns the installation location of cacert.pem.
"""

import os.path
import sysconfig


def where():
    return os.path.join(sysconfig.get_path('data'), 'ca-certificates', 'certdata.pem')


if __name__ == '__main__':
    print(where())
